Page MenuHomeMiraheze

Have a look at Elasticsearch
Closed, DeclinedPublic

Description

MediaWiki and Phabricator supports Elasticsearch.

While we have no firm plan to implement it, elasticsearch seems to be a good stuff. Maybe we can (in the future) use it for high-traffic wikis and Phabricator.

Event Timeline

revi created this task.Nov 26 2017, 20:13
revi changed the task status from Open to Stalled.
revi triaged this task as Low priority.
revi moved this task from Incoming to Radar on the revi board.Nov 26 2017, 20:14

I think the best course of action in this case would be to expand our current parsoid1 server and make it a misc3. We could host Elasticsearch and Collection there.

Reception123 moved this task from Radar to Discussion on the Operations board.Nov 26 2017, 20:17
John added a subscriber: John.Nov 26 2017, 22:17

Parsoid, Collection and ES are all memory/cpu heavy services. Hosting them all on a small memory server seems a) unwise b) unreliable.

We looked at ES originally and decided resources v gain was little so unless the gain has increased in usage, I doubt the resources are there for it.

John changed the task status from Stalled to Open.Feb 20 2018, 19:09
John added a comment.Feb 23 2018, 22:22

I'm still not convinced about the benefits of this. For new infrastructure there should be an identified benefit and identified user base and I don't think this really has either.

Search index in db* seems fine, disk intensive but fine.

@Southparkfan will probably have his yes/no on this fairly quickly.

Elasticsearch is definitely the best option, but not needed yet imho.

Southparkfan closed this task as Declined.Feb 23 2018, 22:31
Southparkfan claimed this task.